io.undertow.predicate

## Interface Predicate

All Known Implementing Classes:
  AuthenticationRequiredPredicate, ContainsPredicate, EqualsPredicate, ExistsPredicate, FalsePredicate, IdempotentPredicate, MaxContentSizePredicate, MethodPredicate, MinContentSizePredicate, NotPredicate, PathMatchPredicate, PathPrefixPredicate, PathSuffixPredicate, PathTemplatePredicate, RegularExpressionPredicate, RequestLargerThanPredicate, RequestSmallerThanPredicate, SecurePredicate, TruePredicate

    public interface Predicate

A predicate. This is mainly used by handlers as a way to decide if a request should have certain processing applied, based on the given conditions.

Author:
  Stuart Douglas

### Field Summary

Fields
`static AttachmentKey<Map<String,Object>>` `PREDICATE_CONTEXT` Attachment key that can be used to store additional predicate context that allows the predicates to store additional information.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `resolve(HttpServerExchange value)`

### Field Detail

#### PREDICATE_CONTEXT

    static final AttachmentKey<Map<String,Object>> PREDICATE_CONTEXT

Attachment key that can be used to store additional predicate context that allows the predicates to store additional information. For example a predicate that matches on a regular expression can place additional information about match groups into the predicate context. Predicates must not rely on this attachment being present, it will only be present if the predicate is being used in a situation where this information may be required by later handlers.

### Method Detail

#### resolve

    boolean resolve(HttpServerExchange value)